Bug 1576115 - [RFE] Ability to Adjust MiqEventHandler and MiqSchedule Worker memory in UI
Summary: [RFE] Ability to Adjust MiqEventHandler and MiqSchedule Worker memory in UI
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: GA
: 5.11.0
Assignee: Gregg Tanzillo
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-08 21:38 UTC by myoder
Modified: 2019-07-29 17:59 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-27 18:49:01 UTC
Category: Feature
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Description myoder 2018-05-08 21:38:32 UTC
Description of problem:

Currently, the MiqEventHandler and MiqScheduleWorker memory threshold settings are not exposed in the UI.  This forces customer to have to manually edit the 'Advanced Settings' tab in order to adjust these worker settings.  Several consulting engagements recently have revealed these workers exceeding memory limitations and require a manual adjustment.  It is both A) not ideal, and B) not consistent to have to adjust these 2 worker setting via the 'Advanced Settings' tab.

Currently, the workaround is to do this in the Advanced Settings for each worker:

    :schedule_worker:
      :memory_threshold: 250.megabytes    <<< adjust the MiqScheudleWorker memory threshold

  :event_handler:
      :memory_threshold: 800.megabytes  <<< adjust the MiqEventHandler memory threshold

The above should be rolled into the UI when selecting Configuration > Zones > ZONE_NAME > Servers > SERVER_NAME > Workers, as this is where the rest of the worker memory threshold settings are adjusted.  This would make the process both consistent and much more clear.


Version-Release number of selected component (if applicable):
CFME 5.8.3.5

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:


Note You need to log in before you can comment on or make changes to this bug.